xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2008 Jussi Mäki
License | BSD-style (see xmonad/LICENSE)
Maintainer | joamaki@gmail.com
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.SimplestFloat

Contents

- Usage:

Description

A basic floating layout like SimpleFloat but without the decoration.

Synopsis

- simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a
- data SimplestFloat a

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.SimplestFloat

Then edit your `layoutHook` by adding the SimplestFloat layout:

    myLayout = simplestFloat ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a #

A simple floating layout where every window is placed according to the window's initial attributes.

data SimplestFloat a #

#### Instances

Instances details

LayoutClass SimplestFloat Window # |

Instance details

Defined in XMonad.Layout.SimplestFloat

Methods

runLayout :: Workspace WorkspaceId (SimplestFloat Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (SimplestFloat Window)) #

doLayout :: SimplestFloat Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (SimplestFloat Window)) #

pureLayout :: SimplestFloat Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] #

emptyLayout :: SimplestFloat Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (SimplestFloat Window)) #

handleMessage :: SimplestFloat Window -> SomeMessage -> X (Maybe (SimplestFloat Window)) #

pureMessage :: SimplestFloat Window -> SomeMessage -> Maybe (SimplestFloat Window) #

description :: SimplestFloat Window -> String #

Read (SimplestFloat a) # |
Instance details Defined in XMonad.Layout.SimplestFloat Methods readsPrec :: Int -> ReadS (SimplestFloat a) # readList :: ReadS [SimplestFloat a] # readPrec :: ReadPrec (SimplestFloat a) readListPrec :: ReadPrec [SimplestFloat a]
Show (SimplestFloat a) # |
Instance details Defined in XMonad.Layout.SimplestFloat Methods showsPrec :: Int -> SimplestFloat a -> ShowS # show :: SimplestFloat a -> String # showList :: [SimplestFloat a] -> ShowS #